


SAVE(8)                                                   SAVE(8)


NNAAMMEE
       save - save files to long term storage with NetWorker

       savepnpc  - save files to long term storage with NetWorker
       and performs pre and post processing commands  on  a  Net-
       Worker client.

SSYYNNOOPPSSIISS
       ssaavvee  [ --BBEEiiKKLLnnqqvvxx ] [ --ss _s_e_r_v_e_r ] [ --cc _c_l_i_e_n_t_-_n_a_m_e ] [ --NN
       _n_a_m_e ] [ --ee _e_x_p_i_r_a_t_i_o_n ] [ --ff _d_i_r_f_i_l_e ] [ --bb _p_o_o_l ]  [  --dd
       _d_i_r_e_c_t_i_v_e  ]  [ --FF _f_i_l_e ] [ --II _i_n_p_u_t___f_i_l_e ] [ --gg _g_r_o_u_p ] [
       --ll _l_e_v_e_l ] [ --tt _d_a_t_e ] [ --mm _m_a_s_q_u_e_r_a_d_e ] [ --WW  _w_i_d_t_h  ]  [
       _p_a_t_h _._._.  ]

       ssaavveeppnnppcc [ --BBEEiiKKLLnnqqvvxx ] [ --ss _s_e_r_v_e_r ] [ --cc _c_l_i_e_n_t_-_n_a_m_e ] [
       --NN _n_a_m_e ] [ --ee _e_x_p_i_r_a_t_i_o_n ] [ --ff _d_i_r_f_i_l_e ] [ --bb _p_o_o_l  ]  [
       --FF _f_i_l_e ] [ --II _i_n_p_u_t___f_i_l_e ] [ --gg _g_r_o_u_p ] [ --ll _l_e_v_e_l ] [ --tt
       _d_a_t_e ] [ --mm _m_a_s_q_u_e_r_a_d_e ] [ --WW _w_i_d_t_h ] [ _p_a_t_h _._._.  ]

DDEESSCCRRIIPPTTIIOONN
       ssaavvee saves files, including directories or entire filesys-
       tems,  to the NetWorker server (see nnssrr(8)).  The progress
       of a save can be monitored using the X Window System based
       nnwwaaddmmiinn(8)  program  or  the  ccuurrsseess(3X) based nnssrrwwaattcchh(8)
       program for other terminal types.

       If no _p_a_t_h arguments are specified on the command line  or
       via  the  --II  option, the current directory will be saved.
       ssaavvee will save a directory by saving  all  the  files  and
       subdirectories  it  contains,  but it will not cross mount
       points, nor will it follow symbolic links.  If  the  paths
       to  be  saved are mounted from a network file server, ssaavvee
       will instruct the user to  run  the  save  on  the  remote
       machine or use the --LL option.

       The  directive  files  (see  nnssrr(5))  encountered  in each
       directory will be read by default, and they  contain  spe-
       cial instructions directing how particular files are to be
       saved (i.e. compressed, skipped, etc.).  These  files  are
       named '..nnssrr'.

       Each  file in the subdirectory structures specified by the
       _p_a_t_h arguments will be encapsulated in  a  NetWorker  save
       stream.   This  stream of data is sent to a receiving pro-
       cess (see nnssrrdd(8)) on the  NetWorker  server,  which  will
       process the data, adding entries to the on-line index (see
       nnssrriinnddeexxdd(8)) for each file in the stream, with  the  data
       finally  ending  up  on  some long term storage media (see
       nnssrrmmmmdd(8)).

       Details about handling media are discussed in nnssrrmmmm(8) and
       nnssrr__ddeevviiccee(5).

       ssaavveeppnnppcc  consists of the same command options as ssaavvee and



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





SAVE(8)                                                   SAVE(8)


       behaves just like ssaavvee..  In addition, prior to the  actual
       save on a Networker client, savepnpc performs pre-process-
       ing commands if any exists in  the  /nsr/res/<grpname>.res
       file,  and  at the end of the save of the last save set on
       the client, the post-processing commands (if any) will  be
       invoked.   In the condition of failure to run the pre-pro-
       cessing commands, savpnpc aborts itself. All  results  are
       logged  in  /nsr/logs/savepnpc.log  file on the client.  A
       timeout condition can be set by the user  to  indicate  at
       which  point  in time the post-processing commands need to
       be run without waiting for all the save sets to be  backed
       up.  This  timeout attribute resides in the /nsr/res/<grp-
       name>.res file.  The timeout should be specified in such a
       format  that  nsr_getdate()  can  understand (see nnssrr__ggeett--
       ddaattee(3)).

       An example of /nsr/res/<grpname>.res can be described as:
            type: savepnpc;
            precmd: /bin/true;
            pstcmd: /bin/true, "/bin/sleep 5";
            timeout: "12:00pm";

       The precmd field can be manually modified to  contain  any
       number of commands that are needed to be run at the begin-
       ning of the save of the 1st save set.  The  pstcmd  is  to
       hold  any commands that are needed to be run at the end of
       the save of the last save set.   The  pst-processing  com-
       mands  will  be run after the save of the last save set or
       the timeout condition, whichever comes first.

OOPPTTIIOONNSS
       --EE     Estimate the amount of data which will be generated
              by  the  save,  then perform the actual save.  Note
              that the  estimate  is  generated  from  the  inode
              information,  and  thus  the  data is only actually
              read once.

       --II _i_n_p_u_t___f_i_l_e
              In addtion to taking the paths  to  save  from  the
              command  line,  read  paths  to save from the named
              file.  The paths must be listed one per  line.   If
              no  paths  are  specified on the command line, then
              only those paths specified  in  the  file  will  be
              saved.

       --ii     Ignore any .nsr directive files as they are encoun-
              tered in the subdirectory structures being saved.

       --KK     Do not build connecting directory index entries.

       --LL     Local.  Saves will be performed from the local Net-
              Worker  client,  even when files are from a network
              file  server.   To   recover   these   files,   run
              rreeccoovveerr(8)  with  the  --cc  _c_l_i_e_n_t  arguments, where



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





SAVE(8)                                                   SAVE(8)


              _c_l_i_e_n_t is the name of the NetWorker client that did
              the ssaavvee.

       --LLLL    In  additional  to  treating  the backup as a local
              backup, cause an extra line to be  printed  at  the
              end of the completion output of the form ``complete
              savetime=number'', where number is the savetime  of
              the  save  set created by this backup.  This option
              is meant to be used by the  ssaavveeggrrpp(8)  command  in
              performing automatic cloning.

       --dd _d_i_r_e_c_t_i_v_e
              Specifies  the  directive  to be used by ssaavveeggrrpp(8)
              during backup processes.

       --mm _m_a_s_q_u_e_r_a_d_e
              Specifies the tag to precede the summary line with.
              This  option is used by ssaavveeggrrpp(8) and ssaavveeffss(8) to
              aid in savegrp summary notifications.   ssaavveeppnnppcc(8)
              also uses this tag to identify client operations on
              the savegrp's work list that should complete before
              ppssttccllnnttssaavvee(8) will trigger its post-processing.

       --nn     No save.  Estimate the amount of data which will be
              generated by the  save,  but  do  not  perform  the
              actual save.

       --vv     Verbose.   Cause  the  ssaavvee  program to tell you in
              great detail what it is doing as it proceeds.

       --qq     Quiet.  Display only summary information and  error
              messages.

       --ss _s_e_r_v_e_r
              Specify  which  machine  to  use  as  the NetWorker
              server.  The default is the current machine  if  it
              is running a server, otherwise the machine with the
              logical name ``nsrhost'' in  the  host  table  (see
              hhoossttss(5)) is used.

       --cc _c_l_i_e_n_t_-_n_a_m_e
              Specify  the client name for starting the save ses-
              sion.  This is useful on clients with multiple net-
              work interfaces, and hence multiple host names.  It
              can be used to create multiple index databases  for
              the  same physical client.  Note that this does not
              specify the network  interface  to  use.   This  is
              specified in the sseerrvveerr nneettwwoorrkk iinntteerrffaaccee attribute
              of the client resource (see nnssrr__cclliieenntt(5)).

       --NN _n_a_m_e
              The symbolic name of this save  set.   By  default,
              the  most  common  prefix  of the _p_a_t_h arguments is
              used as the save set name.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





SAVE(8)                                                   SAVE(8)


       --ee _e_x_p_i_r_a_t_i_o_n
              Sets the date (in nnssrr__ggeettddaattee(3) format) when  this
              save  set  will  expire.   When  a  save set has an
              explicit expiration date, the save set remains both
              browsable  and  non-recyclable  until  it  expires.
              After it expires and it has passed its browse time,
              its  state  will  become  non-browsable.  If it has
              expired and it has passed its retention  time,  the
              save  set  will  become recyclable.  By default, no
              explicit save set expiration date is used.

       --ff _d_i_r_f_i_l_e
              The file  from  which  to  read  prototype  default
              directives (see nnssrr(5)).  A _d_i_r_f_i_l_e of -- causes the
              default directives to be read from standard  input.

       --bb _p_o_o_l
              Specifies  a  particular  destination  pool for the
              save.

       --FF _f_i_l_e
              Only save files whose change time is newer than the
              file modification date of _f_i_l_e.

       --gg _g_r_o_u_p
              This  option is used by ssaavveeggrrpp(8) and ssaavveeffss(8) to
              denote the group of the save (see nnssrr__cclliieenntt(5) and
              nnssrr__ggrroouupp(5))  and  is used by the NetWorker server
              to select the specific media pool.

       --ll _l_e_v_e_l
              The level of the save.   This  option  is  used  by
              ssaavveeggrrpp(8)  and  ssaavveeffss(8)  to specify a particular
              level for a scheduled save.

       --tt _d_a_t_e
              The date (in  nnssrr__ggeettddaattee(3)  format)  after  which
              files  must  have been modified before they will be
              saved.  This  option  is  used  by  ssaavveeggrrpp(8)  and
              ssaavveeffss(8)  to perform scheduled saves by consulting
              with the media database to determine the  appropri-
              ate  time value based on the previous saves for the
              save set and the level of the scheduled save.

       --WW _w_i_d_t_h
              The width used when formatting summary  information
              output.

       --xx     Cross mount points.

       --BB     Force  save of all connecting directory information
              from root (``/'') down to the point of  invocation.





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4





SAVE(8)                                                   SAVE(8)


SSEEEE AALLSSOO
       ccuurrsseess(3X),  nnssrr__ggeettddaattee(3), hhoossttss(5), nnwwaaddmmiinn(8), nnssrr(5),
       nnssrr(8),   nnssrr__cclliieenntt(5),   nnssrr__ddeevviiccee(5),    nnssrr__ggrroouupp(5),
       nnssrr__sseerrvviiccee(5), nnssrrdd(8), nnssrriimm(8), nnssrriinnddeexxdd(8), nnssrrmmmm(8),
       nnssrrmmmmdd(8), nnssrrwwaattcchh(8), rreeccoovveerr(8), ssaavveeffss(8), ssaavveeggrrpp(8)

DDIIAAGGNNOOSSTTIICCSS
   EExxiitt CCooddeess
       00      Normal exit.  This means that a save set  was  cor-
              rectly created on the server.  Messages about indi-
              vidual file backup failures are  _w_a_r_n_i_n_g_s,  and  do
              not cause abnormal exit.
       <<>>00    Abnormal  exit.   A save set was not correctly cre-
              ated on the server.

   MMeessssaaggeess
       _h_o_s_t:: _s_a_v_e_s_e_t   lleevveell==_l_e_v_e_l,,  _s_i_z_e   _t_i_m_e  _c_o_u_n_t ffiilleess..
              This message  (with  the  appropriate  client  host
              name,  saveset  name,  level,  total save set size,
              elapsed time, and file count) is  printed  whenever
              ssaavvee is run by ssaavveeggrrpp(8) and exits normally.

       _h_o_s_t:: _f_i_l_e_n_a_m_e:: _w_a_r_n_i_n_g
              Messages  of this form are warnings about difficul-
              ties backing up individual files.  Such messages do
              not  normally cause the ssaavvee to fail, and therefore
              may appear in the ssaavvee output found in the  ``Save-
              group Completion'' message's Successful section.





























NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        5


